set echo on
declare
  result boolean;
begin
  if (not dbms_xdb.existsResource('/home/%USER%/ImageLibrary')) then
    result := dbms_xdb.createFolder('/home/%USER%/ImageLibrary');
  end if;
end;
/
--
quit
